Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class MacroInstance.Element

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.MacroInstance.Element

All Implemented Interfaces:
  TaskContainer

Enclosing class:
  MacroInstance

public static class MacroInstance.Element
extends java.lang.Object
implements TaskContainer

Embedded element in macro instance

Constructor Summary
`MacroInstance.Element()`

Method Summary
`void` | `addTask(Task nestedTask)` Add an unknown element (to be snipped into the macroDef instance)
`java.util.List` | `getUnknownElements()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacroInstance.Element

    public MacroInstance.Element()

Method Detail

### addTask

    public void addTask(Task nestedTask)

  Add an unknown element (to be snipped into the macroDef instance)

  Specified by:
    `addTask` in interface `TaskContainer`
  Parameters:
    `nestedTask` - an unknown element

### getUnknownElements

    public java.util.List getUnknownElements()

  Returns:
    the list of unknown elements

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.